#
#By Kissa2k
#

package msg2xkore;

use strict;
use Globals;
use Plugins;
use Log qw(message);
use Commands;
use Misc;
use AI;

Plugins::register('msg2xkore', 'Sends message to xkore.', \&Unload, \&Unload);

my $hook = Commands::register(
    ['xkoremsg','send message to xkore.',\&msg],
	['xkoreadminmsg','send admin message to xkore.',\&adminMsg]
);

sub Unload {
	Commands::unregister($hook);
}

sub msg {
	my (undef, $args) = @_;
	my $message ="[Openkore] ";
	my @args = split(/ /, $args);
	if ($args[0]){
		for(my $i=0; $i<=@args; $i++){
			$message = $message." ".$args[$i];
		}
		$messageSender->injectMessage($message);
	}else{
		message("Syntax Error in function 'xkoremsg'\nUsage: xkoremsg < message >\n", "info");
	}
}

sub adminMsg {
	my (undef, $args) = @_;
	my $message ="[Openkore] ";
	my @args = split(/ /, $args);
	if ($args[0]){
		for(my $i=0; $i<=@args; $i++){
			$message = $message." ".$args[$i];
		}
		$messageSender->injectAdminMessage($message);
	}else{
		message("Syntax Error in function 'xkoreadminmsg'\nUsage: xkoreadminmsg < message >\n", "info");
	}
}


return 1;
